• Jehan's avatar
    Issue #2055: make save dialog compatibility information understandable. · 573d8175
    Jehan authored
    * The minimum GIMP version for this XCF is always written down when it
      is GIMP 2.8 or over.
    * The list of features warrating the minimum version is now listed in an
      expander container rather than as tooltip (making the list actually
      discoverable!).
    * The warning on compression is now displayed as its own text under the
      checkbox (only when checking the box actually changes anything
      compatibility-wise), and not as additional text to the minimum GIMP
      version label. Otherwise it had far too much weight on the minimum
      compatible GIMP version text and people were wondering what it meant.
      We should not tell people what the checkbox cannot do (it cannot
      improve compatibility in some cases), only what it can do (it can
      improve compatibility in other cases).
    * Update the feature list real-time when checking the compression box
      (making it even more obvious that tile compression may have a say in
      compatibility).
    * Metadata info is still added on the GIMP version label as it does not
      limit compatibility of the XCF file itself.
    573d8175
gimpsavedialog.h 2.46 KB